---
search:
  tags:
    - agent-sessions
    - GET
seo:
  description: >-
    List provenance. Reference for the GET
    /workspaces/{organizationId}/provenance endpoint in the Pile API.
sidebar:
  label: List provenance
  badge: GET
title: List provenance
type: openapi-operation
---
`GET /workspaces/{organizationId}/provenance`

**Responses**

- `200` — Provenance: issues, lane sessions (with review convergence), touched files, commit shas, and memory facts explaining the queried artifact

Response example, 200:

```json
{
  "query": {
    "property1": null,
    "property2": null
  },
  "entries": [
    {
      "property1": null,
      "property2": null
    }
  ],
  "whySummary": "string"
}
```
